## lookup 1.0

=== DESCRIPTION ===
Package: lookup
Type: Package
Title: Functions Similar to VLOOKUP in Excel
Version: 1.0
Authors@R: person("Kevin","Wright", email="kw.stat@gmail.com",
                  comment=c(ORCID = "0000-0002-0617-8673"),
                  role=c("aut","cre"))
Description: Simple functions to lookup items in key-value pairs. See  Mehta (2021) <doi:10.1007/978-1-4842-6613-7_6>.
URL: https://kwstat.github.io/lookup/
BugReports: https://github.com/kwstat/lookup/issues
License: MIT + file LICENSE
Language: en-US
Encoding: UTF-8
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-12 18:54:06 UTC; wrightkevi
Author: Kevin Wright [aut, cre] (<https://orcid.org/0000-0002-0617-8673>)
Maintainer: Kevin Wright <kw.stat@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-14 09:20:03 UTC
