## lookup 1.1

=== DESCRIPTION ===
Type: Package
Package: lookup
Title: Functions Similar to VLOOKUP in Excel
Version: 1.1
Authors@R: 
    person("Kevin", "Wright", , "kw.stat@gmail.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-0617-8673"))
Description: Simple functions to lookup items in key-value pairs. See
    Mehta (2021) <doi:10.1007/978-1-4842-6613-7_6>.
License: MIT + file LICENSE
URL: https://kwstat.github.io/lookup/
BugReports: https://github.com/kwstat/lookup/issues
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-07-05 16:42:58 UTC; wrightkevi
Author: Kevin Wright [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0002-0617-8673>)
Maintainer: Kevin Wright <kw.stat@gmail.com>
Repository: CRAN
Date/Publication: 2025-07-05 19:50:03 UTC
