=== debian/changelog ===
lookup (1.08b-15) unstable; urgency=medium

  * Fix FTBFS with GCC 15:
    - Avoid naming clashes with C boolean keywords by
      renaming local variables 'true'/'false' to
      'eval_true_value'/'eval_false_value' and updating the
      symbol table. (add patch: gcc15-true-false.patch). Closes: #1097313
    - Silence const warning in lib/virtfile.c by casting the
      read(2) buffer to void*. (add patch: read-const-cast.patch)

 -- Ludovic Drolez <ldrolez@debian.org>  Sun, 28 Sep 2025 12:12:00 +0200

lookup (1.08b-14) unstable; urgency=medium

  * Fixes for GCC-14. Closes: #1075232
  * Added Build path patch. Closes: #1020659

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 26 Aug 2024 22:13:00 +0200

lookup (1.08b-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007286
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Wed, 21 Feb 2024 14:17:29 +0000

lookup (1.08b-13) unstable; urgency=medium

  * Fix future glibc FTBFS. Closes: #967989
    Patch by Logan Rosen.
  * Fix lookup hard codes locations of libc headers. Closes: #911455
    Patch by Helmut Grohne.

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 04 Feb 2021 12:26:22 +0100

lookup (1.08b-12) unstable; urgency=low

  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make. 
    Done by Helmut Grohne. Closes: #871408
  * Manual page encoded in UTF-8. Closes: #827334

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 23 May 2018 19:38:23 +0200

lookup (1.08b-11) unstable; urgency=low

  * renamed the getline() function to mygetline(). Closes: #552827

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 05 Nov 2009 13:58:49 +0100

lookup (1.08b-10) unstable; urgency=low

  * Fixed a segfault on amd64 thanks to Luc Saillard. Closes: #320722

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 26 Aug 2005 17:49:41 +0200

lookup (1.08b-9) unstable; urgency=low

  * FTBFS on amd64/gcc-4.0. Patch added. Closes: #284901

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 18 Dec 2004 13:26:43 +0100

lookup (1.08b-8) unstable; urgency=low

  * termset.c code is not portable. Makes gcc complain on alpha.
    Applied a temporary workaround. Closes: #220303.

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 20 Dec 2003 23:21:00 +0100

lookup (1.08b-7) unstable; urgency=low

  * build dependency on groff-base added. Closes: #219690
  * errno patch applied. Closes: #219533  

 -- Ludovic Drolez <ldrolez@debian.org>  Sun,  9 Nov 2003 22:09:13 +0100

lookup (1.08b-6) unstable; urgency=low

  * New maintainer. Closes: #192687.
  * now in free, does not depend on non-free packages.
  * updated standards

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 30 Oct 2003 21:38:39 +0100

lookup (1.08b-5) unstable; urgency=low

  * Allow any architectues. (closes: #123275, #121422)

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue, 11 Dec 2001 10:56:37 +0900

lookup (1.08b-4) unstable; urgency=low

  * Added Build depends: groff: (closes: #98871)
  * Excluded "alpha" from architectures. (closes: #85829)

 -- Hayao Nakahara <nakahara@debian.org>  Mon, 28 May 2001 23:08:22 +0900

lookup (1.08b-3) unstable; urgency=low

  * clean up debian directory.

 -- Hayao Nakahara <nakahara@debian.org>  Wed, 21 Feb 2001 02:52:59 +0900

lookup (1.08b-2) unstable; urgency=low

  * Fixed Makefile.
  * Standards-Version: 3.2.1.

 -- Hayao Nakahara <nakahara@debian.org>  Wed, 21 Feb 2001 02:11:13 +0900

lookup (1.08b-1) unstable; urgency=low

  * Initial Debian Release.

 -- Hayao Nakahara <nakahara@debian.org>  Tue, 19 Oct 1999 00:24:21 +0900

lookup (1.01-7) frozen-jp unstable-jp; urgency=low

  * changed the directory for dictionaries and index files to
    /var/lib/lookup
  * added lookupconfig.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 26 Nov 1998 11:34:23 +0900

lookup (1.01-6) frozen-jp unstable-jp; urgency=low

  * moved /usr/man/ja_JP.ujis to /usr/man/ja.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 18 Jun 1998 04:45:26 +0900

lookup (1.01-5) frozen-jp unstable-jp; urgency=low

  * renamed CHAGNES to changelog.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Wed, 10 Jun 1998 21:45:59 +0900

lookup (1.01-4) contrib; urgency=low

  * moved to text section.
  * fixed bug JP/152.
  * moved /usr/lib/dict to /usr/share/dict.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 14 May 1998 23:43:46 +0900

lookup (1.01-3.2) unstable; urgency=low

  * fix bugs in lib/jregexp.c

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 May 1998 19:53:54 +0900

lookup (1.01-3.1) unstable; urgency=low

  * recompiled with libc6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 16 May 1998 18:08:50 +0900

lookup (1.01-3) unstable; urgency=low

  * new package format.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sat, 28 Dec 1996 02:11:25 +0900

Local variables:
mode: debian-changelog
End:
