=== debian/control ===
Source: lookup
Section: text
Priority: optional
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Build-Depends: debhelper (>= 10), groff-base
Standards-Version: 4.5.1

Package: lookup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: edict, kanjidic
Description: interactive utility to search text files quickly
 It provides: Romaji-to-Kana Converter, Fuzzy Searching,
 Search with Regular Expressions, Filtering, Automatic Modifications,
 Smart Word-Preference Mode.
