=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := -Wall -g -DUSE_VSNPRINTF
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O3
endif

DH_STRIP=dh_strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    DH_STRIP=true
endif

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	dh_auto_build CFLAGS="$(CFLAGS)"
	(cd doc; soelim lookup.man | iconv -feucjp -tutf8) > lookup.man

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f lookup.man

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	-rm -f lookup

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/lookup.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/lookup

	install -m 755 lookup debian/lookup/usr/bin/lookup
	install -m 755 debian/lookupconfig debian/lookup/usr/sbin/lookupconfig
	install -m 644 lookup.man \
		debian/lookup/usr/share/man/man1/lookup.1
	install -m 644 debian/lookupconfig.man \
		       debian/lookup/usr/share/man/man8/lookupconfig.8
#	install -m 644 CHANGES debian/lookup/usr/share/doc/lookup/changelog

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	$(DH_STRIP)
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
